Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface TaskDataXMLDocument.TaskDataXML

All Superinterfaces:
  TaskInfoXMLType, XmlObject, XmlTokenSource

Enclosing interface:
  TaskDataXMLDocument

    public static interface TaskDataXMLDocument.TaskDataXML

extends TaskInfoXMLType

An XML TaskDataXML(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `TaskDataXMLDocument.TaskDataXML.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`ContainerHandleType` | `addNewCreatingContainerHandle()` Appends and returns a new empty "creatingContainerHandle" element
`StepTimeEstimateType` | `addNewStepTimeEstimate()` Appends and returns a new empty value (as xml) as the last "stepTimeEstimate" element
`AdminStateType.Enum` | `getAdminState()` Gets the "adminState" element
`String` | `getConstructorName()` Gets the "constructorName" element
`ContainerHandleType` | `getCreatingContainerHandle()` Gets the "creatingContainerHandle" element
`String` | `getCreationUser()` Gets the "creationUser" element
`Calendar` | `getCurrentStepCompletionDueDate()` Gets the "currentStepCompletionDueDate" element
`String` | `getCurrentStepName()` Gets the "currentStepName" element
`String` | `getErrorMessage()` Gets the "errorMessage" element
`String` | `getFinalActionName()` Gets the "finalActionName" element
`String` | `getFinalStepName()` Gets the "finalStepName" element
`boolean` | `getIsOwnerGroup()` Gets the "isOwnerGroup" element
`Calendar` | `getLastUpdateDate()` Gets the "lastUpdateDate" element
`String` | `getLastUpdateUser()` Gets the "lastUpdateUser" element
`StepTimeEstimateType[]` | `getStepTimeEstimateArray()` Gets array of all "stepTimeEstimate" elements
`StepTimeEstimateType` | `getStepTimeEstimateArray(int i)` Gets ith "stepTimeEstimate" element
`String` | `getTaskPlanId()` Gets the "taskPlanId" element
`String` | `getTaskTimeEstimate()` Gets the "taskTimeEstimate" element
`WorkingStateType.Enum` | `getWorkingState()` Gets the "workingState" element
`StepTimeEstimateType` | `insertNewStepTimeEstimate(int i)` Inserts and returns a new empty value (as xml) as the ith "stepTimeEstimate" element
`boolean` | `isSetAdminState()` True if has "adminState" element
`boolean` | `isSetConstructorName()` True if has "constructorName" element
`boolean` | `isSetCreatingContainerHandle()` True if has "creatingContainerHandle" element
`boolean` | `isSetCreationUser()` True if has "creationUser" element
`boolean` | `isSetCurrentStepCompletionDueDate()` True if has "currentStepCompletionDueDate" element
`boolean` | `isSetCurrentStepName()` True if has "currentStepName" element
`boolean` | `isSetErrorMessage()` True if has "errorMessage" element
`boolean` | `isSetFinalActionName()` True if has "finalActionName" element
`boolean` | `isSetFinalStepName()` True if has "finalStepName" element
`boolean` | `isSetIsOwnerGroup()` True if has "isOwnerGroup" element
`boolean` | `isSetLastUpdateDate()` True if has "lastUpdateDate" element
`boolean` | `isSetLastUpdateUser()` True if has "lastUpdateUser" element
`boolean` | `isSetTaskPlanId()` True if has "taskPlanId" element
`boolean` | `isSetTaskTimeEstimate()` True if has "taskTimeEstimate" element
`boolean` | `isSetWorkingState()` True if has "workingState" element
`void` | `removeStepTimeEstimate(int i)` Removes the ith "stepTimeEstimate" element
`void` | `setAdminState(AdminStateType.Enum adminState)` Sets the "adminState" element
`void` | `setConstructorName(String constructorName)` Sets the "constructorName" element
`void` | `setCreatingContainerHandle(ContainerHandleType creatingContainerHandle)` Sets the "creatingContainerHandle" element
`void` | `setCreationUser(String creationUser)` Sets the "creationUser" element
`void` | `setCurrentStepCompletionDueDate(Calendar currentStepCompletionDueDate)` Sets the "currentStepCompletionDueDate" element
`void` | `setCurrentStepName(String currentStepName)` Sets the "currentStepName" element
`void` | `setErrorMessage(String errorMessage)` Sets the "errorMessage" element
`void` | `setFinalActionName(String finalActionName)` Sets the "finalActionName" element
`void` | `setFinalStepName(String finalStepName)` Sets the "finalStepName" element
`void` | `setIsOwnerGroup(boolean isOwnerGroup)` Sets the "isOwnerGroup" element
`void` | `setLastUpdateDate(Calendar lastUpdateDate)` Sets the "lastUpdateDate" element
`void` | `setLastUpdateUser(String lastUpdateUser)` Sets the "lastUpdateUser" element
`void` | `setStepTimeEstimateArray(int i, StepTimeEstimateType stepTimeEstimate)` Sets ith "stepTimeEstimate" element
`void` | `setStepTimeEstimateArray(StepTimeEstimateType[] stepTimeEstimateArray)` Sets array of all "stepTimeEstimate" element
`void` | `setTaskPlanId(String taskPlanId)` Sets the "taskPlanId" element
`void` | `setTaskTimeEstimate(String taskTimeEstimate)` Sets the "taskTimeEstimate" element
`void` | `setWorkingState(WorkingStateType.Enum workingState)` Sets the "workingState" element
`int` | `sizeOfStepTimeEstimateArray()` Returns number of "stepTimeEstimate" element
`void` | `unsetAdminState()` Unsets the "adminState" element
`void` | `unsetConstructorName()` Unsets the "constructorName" element
`void` | `unsetCreatingContainerHandle()` Unsets the "creatingContainerHandle" element
`void` | `unsetCreationUser()` Unsets the "creationUser" element
`void` | `unsetCurrentStepCompletionDueDate()` Unsets the "currentStepCompletionDueDate" element
`void` | `unsetCurrentStepName()` Unsets the "currentStepName" element
`void` | `unsetErrorMessage()` Unsets the "errorMessage" element
`void` | `unsetFinalActionName()` Unsets the "finalActionName" element
`void` | `unsetFinalStepName()` Unsets the "finalStepName" element
`void` | `unsetIsOwnerGroup()` Unsets the "isOwnerGroup" element
`void` | `unsetLastUpdateDate()` Unsets the "lastUpdateDate" element
`void` | `unsetLastUpdateUser()` Unsets the "lastUpdateUser" element
`void` | `unsetTaskPlanId()` Unsets the "taskPlanId" element
`void` | `unsetTaskTimeEstimate()` Unsets the "taskTimeEstimate" element
`void` | `unsetWorkingState()` Unsets the "workingState" element
`AdminStateType` | `xgetAdminState()` Gets (as xml) the "adminState" element
`XmlString` | `xgetConstructorName()` Gets (as xml) the "constructorName" element
`XmlString` | `xgetCreationUser()` Gets (as xml) the "creationUser" element
`XmlDateTime` | `xgetCurrentStepCompletionDueDate()` Gets (as xml) the "currentStepCompletionDueDate" element
`XmlString` | `xgetCurrentStepName()` Gets (as xml) the "currentStepName" element
`XmlString` | `xgetErrorMessage()` Gets (as xml) the "errorMessage" element
`XmlString` | `xgetFinalActionName()` Gets (as xml) the "finalActionName" element
`XmlString` | `xgetFinalStepName()` Gets (as xml) the "finalStepName" element
`XmlBoolean` | `xgetIsOwnerGroup()` Gets (as xml) the "isOwnerGroup" element
`XmlDateTime` | `xgetLastUpdateDate()` Gets (as xml) the "lastUpdateDate" element
`XmlString` | `xgetLastUpdateUser()` Gets (as xml) the "lastUpdateUser" element
`XmlString` | `xgetTaskPlanId()` Gets (as xml) the "taskPlanId" element
`XmlString` | `xgetTaskTimeEstimate()` Gets (as xml) the "taskTimeEstimate" element
`WorkingStateType` | `xgetWorkingState()` Gets (as xml) the "workingState" element
`void` | `xsetAdminState(AdminStateType adminState)` Sets (as xml) the "adminState" element
`void` | `xsetConstructorName(XmlString constructorName)` Sets (as xml) the "constructorName" element
`void` | `xsetCreationUser(XmlString creationUser)` Sets (as xml) the "creationUser" element
`void` | `xsetCurrentStepCompletionDueDate(XmlDateTime currentStepCompletionDueDate)` Sets (as xml) the "currentStepCompletionDueDate" element
`void` | `xsetCurrentStepName(XmlString currentStepName)` Sets (as xml) the "currentStepName" element
`void` | `xsetErrorMessage(XmlString errorMessage)` Sets (as xml) the "errorMessage" element
`void` | `xsetFinalActionName(XmlString finalActionName)` Sets (as xml) the "finalActionName" element
`void` | `xsetFinalStepName(XmlString finalStepName)` Sets (as xml) the "finalStepName" element
`void` | `xsetIsOwnerGroup(XmlBoolean isOwnerGroup)` Sets (as xml) the "isOwnerGroup" element
`void` | `xsetLastUpdateDate(XmlDateTime lastUpdateDate)` Sets (as xml) the "lastUpdateDate" element
`void` | `xsetLastUpdateUser(XmlString lastUpdateUser)` Sets (as xml) the "lastUpdateUser" element
`void` | `xsetTaskPlanId(XmlString taskPlanId)` Sets (as xml) the "taskPlanId" element
`void` | `xsetTaskTimeEstimate(XmlString taskTimeEstimate)` Sets (as xml) the "taskTimeEstimate" element
`void` | `xsetWorkingState(WorkingStateType workingState)` Sets (as xml) the "workingState" element

Methods inherited from interface com.bea.wli.worklist.xml.TaskInfoXMLType
`addNewAssignee, getAssignee, getCanBeAborted, getCanBeReassigned, getCanBeReturned, getClaimant, getClaimDueDate, getComment, getCompletionDueDate, getCreationDate, getDescription, getName, getOwner, getParentProcessId, getParentProcessUri, getPriority, getRequestType, getResponseType, getState, getTaskId, isSetAssignee, isSetClaimant, isSetClaimDueDate, isSetComment, isSetCompletionDueDate, isSetDescription, isSetParentProcessId, isSetParentProcessUri, isSetRequestType, isSetResponseType, setAssignee, setCanBeAborted, setCanBeReassigned, setCanBeReturned, setClaimant, setClaimDueDate, setComment, setCompletionDueDate, setCreationDate, setDescription, setName, setOwner, setParentProcessId, setParentProcessUri, setPriority, setRequestType, setResponseType, setState, setTaskId, unsetAssignee, unsetClaimant, unsetClaimDueDate, unsetComment, unsetCompletionDueDate, unsetDescription, unsetParentProcessId, unsetParentProcessUri, unsetRequestType, unsetResponseType, xgetCanBeAborted, xgetCanBeReassigned, xgetCanBeReturned, xgetClaimant, xgetClaimDueDate, xgetComment, xgetCompletionDueDate, xgetCreationDate, xgetDescription, xgetName, xgetOwner, xgetParentProcessId, xgetParentProcessUri, xgetPriority, xgetRequestType, xgetResponseType, xgetState, xgetTaskId, xsetCanBeAborted, xsetCanBeReassigned, xsetCanBeReturned, xsetClaimant, xsetClaimDueDate, xsetComment, xsetCompletionDueDate, xsetCreationDate, xsetDescription, xsetName, xsetOwner, xsetParentProcessId, xsetParentProcessUri, xsetPriority, xsetRequestType, xsetResponseType, xsetState, xsetTaskId`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getTaskPlanId

    String getTaskPlanId()

  Gets the "taskPlanId" element

### xgetTaskPlanId

    XmlString xgetTaskPlanId()

  Gets (as xml) the "taskPlanId" element

### isSetTaskPlanId

    boolean isSetTaskPlanId()

  True if has "taskPlanId" element

### setTaskPlanId

    void setTaskPlanId(String taskPlanId)

  Sets the "taskPlanId" element

### xsetTaskPlanId

    void xsetTaskPlanId(XmlString taskPlanId)

  Sets (as xml) the "taskPlanId" element

### unsetTaskPlanId

    void unsetTaskPlanId()

  Unsets the "taskPlanId" element

### getCreatingContainerHandle

    ContainerHandleType getCreatingContainerHandle()

  Gets the "creatingContainerHandle" element

### isSetCreatingContainerHandle

    boolean isSetCreatingContainerHandle()

  True if has "creatingContainerHandle" element

### setCreatingContainerHandle

    void setCreatingContainerHandle(ContainerHandleType creatingContainerHandle)

  Sets the "creatingContainerHandle" element

### addNewCreatingContainerHandle

    ContainerHandleType addNewCreatingContainerHandle()

  Appends and returns a new empty "creatingContainerHandle" element

### unsetCreatingContainerHandle

    void unsetCreatingContainerHandle()

  Unsets the "creatingContainerHandle" element

### getCreationUser

    String getCreationUser()

  Gets the "creationUser" element

### xgetCreationUser

    XmlString xgetCreationUser()

  Gets (as xml) the "creationUser" element

### isSetCreationUser

    boolean isSetCreationUser()

  True if has "creationUser" element

### setCreationUser

    void setCreationUser(String creationUser)

  Sets the "creationUser" element

### xsetCreationUser

    void xsetCreationUser(XmlString creationUser)

  Sets (as xml) the "creationUser" element

### unsetCreationUser

    void unsetCreationUser()

  Unsets the "creationUser" element

### getIsOwnerGroup

    boolean getIsOwnerGroup()

  Gets the "isOwnerGroup" element

### xgetIsOwnerGroup

    XmlBoolean xgetIsOwnerGroup()

  Gets (as xml) the "isOwnerGroup" element

### isSetIsOwnerGroup

    boolean isSetIsOwnerGroup()

  True if has "isOwnerGroup" element

### setIsOwnerGroup

    void setIsOwnerGroup(boolean isOwnerGroup)

  Sets the "isOwnerGroup" element

### xsetIsOwnerGroup

    void xsetIsOwnerGroup(XmlBoolean isOwnerGroup)

  Sets (as xml) the "isOwnerGroup" element

### unsetIsOwnerGroup

    void unsetIsOwnerGroup()

  Unsets the "isOwnerGroup" element

### getLastUpdateDate

    Calendar getLastUpdateDate()

  Gets the "lastUpdateDate" element

### xgetLastUpdateDate

    XmlDateTime xgetLastUpdateDate()

  Gets (as xml) the "lastUpdateDate" element

### isSetLastUpdateDate

    boolean isSetLastUpdateDate()

  True if has "lastUpdateDate" element

### setLastUpdateDate

    void setLastUpdateDate(Calendar lastUpdateDate)

  Sets the "lastUpdateDate" element

### xsetLastUpdateDate

    void xsetLastUpdateDate(XmlDateTime lastUpdateDate)

  Sets (as xml) the "lastUpdateDate" element

### unsetLastUpdateDate

    void unsetLastUpdateDate()

  Unsets the "lastUpdateDate" element

### getLastUpdateUser

    String getLastUpdateUser()

  Gets the "lastUpdateUser" element

### xgetLastUpdateUser

    XmlString xgetLastUpdateUser()

  Gets (as xml) the "lastUpdateUser" element

### isSetLastUpdateUser

    boolean isSetLastUpdateUser()

  True if has "lastUpdateUser" element

### setLastUpdateUser

    void setLastUpdateUser(String lastUpdateUser)

  Sets the "lastUpdateUser" element

### xsetLastUpdateUser

    void xsetLastUpdateUser(XmlString lastUpdateUser)

  Sets (as xml) the "lastUpdateUser" element

### unsetLastUpdateUser

    void unsetLastUpdateUser()

  Unsets the "lastUpdateUser" element

### getAdminState

    AdminStateType.Enum getAdminState()

  Gets the "adminState" element

### xgetAdminState

    AdminStateType xgetAdminState()

  Gets (as xml) the "adminState" element

### isSetAdminState

    boolean isSetAdminState()

  True if has "adminState" element

### setAdminState

    void setAdminState(AdminStateType.Enum adminState)

  Sets the "adminState" element

### xsetAdminState

    void xsetAdminState(AdminStateType adminState)

  Sets (as xml) the "adminState" element

### unsetAdminState

    void unsetAdminState()

  Unsets the "adminState" element

### getErrorMessage

    String getErrorMessage()

  Gets the "errorMessage" element

### xgetErrorMessage

    XmlString xgetErrorMessage()

  Gets (as xml) the "errorMessage" element

### isSetErrorMessage

    boolean isSetErrorMessage()

  True if has "errorMessage" element

### setErrorMessage

    void setErrorMessage(String errorMessage)

  Sets the "errorMessage" element

### xsetErrorMessage

    void xsetErrorMessage(XmlString errorMessage)

  Sets (as xml) the "errorMessage" element

### unsetErrorMessage

    void unsetErrorMessage()

  Unsets the "errorMessage" element

### getWorkingState

    WorkingStateType.Enum getWorkingState()

  Gets the "workingState" element

### xgetWorkingState

    WorkingStateType xgetWorkingState()

  Gets (as xml) the "workingState" element

### isSetWorkingState

    boolean isSetWorkingState()

  True if has "workingState" element

### setWorkingState

    void setWorkingState(WorkingStateType.Enum workingState)

  Sets the "workingState" element

### xsetWorkingState

    void xsetWorkingState(WorkingStateType workingState)

  Sets (as xml) the "workingState" element

### unsetWorkingState

    void unsetWorkingState()

  Unsets the "workingState" element

### getCurrentStepName

    String getCurrentStepName()

  Gets the "currentStepName" element

### xgetCurrentStepName

    XmlString xgetCurrentStepName()

  Gets (as xml) the "currentStepName" element

### isSetCurrentStepName

    boolean isSetCurrentStepName()

  True if has "currentStepName" element

### setCurrentStepName

    void setCurrentStepName(String currentStepName)

  Sets the "currentStepName" element

### xsetCurrentStepName

    void xsetCurrentStepName(XmlString currentStepName)

  Sets (as xml) the "currentStepName" element

### unsetCurrentStepName

    void unsetCurrentStepName()

  Unsets the "currentStepName" element

### getCurrentStepCompletionDueDate

    Calendar getCurrentStepCompletionDueDate()

  Gets the "currentStepCompletionDueDate" element

### xgetCurrentStepCompletionDueDate

    XmlDateTime xgetCurrentStepCompletionDueDate()

  Gets (as xml) the "currentStepCompletionDueDate" element

### isSetCurrentStepCompletionDueDate

    boolean isSetCurrentStepCompletionDueDate()

  True if has "currentStepCompletionDueDate" element

### setCurrentStepCompletionDueDate

    void setCurrentStepCompletionDueDate(Calendar currentStepCompletionDueDate)

  Sets the "currentStepCompletionDueDate" element

### xsetCurrentStepCompletionDueDate

    void xsetCurrentStepCompletionDueDate(XmlDateTime currentStepCompletionDueDate)

  Sets (as xml) the "currentStepCompletionDueDate" element

### unsetCurrentStepCompletionDueDate

    void unsetCurrentStepCompletionDueDate()

  Unsets the "currentStepCompletionDueDate" element

### getConstructorName

    String getConstructorName()

  Gets the "constructorName" element

### xgetConstructorName

    XmlString xgetConstructorName()

  Gets (as xml) the "constructorName" element

### isSetConstructorName

    boolean isSetConstructorName()

  True if has "constructorName" element

### setConstructorName

    void setConstructorName(String constructorName)

  Sets the "constructorName" element

### xsetConstructorName

    void xsetConstructorName(XmlString constructorName)

  Sets (as xml) the "constructorName" element

### unsetConstructorName

    void unsetConstructorName()

  Unsets the "constructorName" element

### getFinalStepName

    String getFinalStepName()

  Gets the "finalStepName" element

### xgetFinalStepName

    XmlString xgetFinalStepName()

  Gets (as xml) the "finalStepName" element

### isSetFinalStepName

    boolean isSetFinalStepName()

  True if has "finalStepName" element

### setFinalStepName

    void setFinalStepName(String finalStepName)

  Sets the "finalStepName" element

### xsetFinalStepName

    void xsetFinalStepName(XmlString finalStepName)

  Sets (as xml) the "finalStepName" element

### unsetFinalStepName

    void unsetFinalStepName()

  Unsets the "finalStepName" element

### getFinalActionName

    String getFinalActionName()

  Gets the "finalActionName" element

### xgetFinalActionName

    XmlString xgetFinalActionName()

  Gets (as xml) the "finalActionName" element

### isSetFinalActionName

    boolean isSetFinalActionName()

  True if has "finalActionName" element

### setFinalActionName

    void setFinalActionName(String finalActionName)

  Sets the "finalActionName" element

### xsetFinalActionName

    void xsetFinalActionName(XmlString finalActionName)

  Sets (as xml) the "finalActionName" element

### unsetFinalActionName

    void unsetFinalActionName()

  Unsets the "finalActionName" element

### getTaskTimeEstimate

    String getTaskTimeEstimate()

  Gets the "taskTimeEstimate" element

### xgetTaskTimeEstimate

    XmlString xgetTaskTimeEstimate()

  Gets (as xml) the "taskTimeEstimate" element

### isSetTaskTimeEstimate

    boolean isSetTaskTimeEstimate()

  True if has "taskTimeEstimate" element

### setTaskTimeEstimate

    void setTaskTimeEstimate(String taskTimeEstimate)

  Sets the "taskTimeEstimate" element

### xsetTaskTimeEstimate

    void xsetTaskTimeEstimate(XmlString taskTimeEstimate)

  Sets (as xml) the "taskTimeEstimate" element

### unsetTaskTimeEstimate

    void unsetTaskTimeEstimate()

  Unsets the "taskTimeEstimate" element

### getStepTimeEstimateArray

    StepTimeEstimateType[] getStepTimeEstimateArray()

  Gets array of all "stepTimeEstimate" elements

### getStepTimeEstimateArray

    StepTimeEstimateType getStepTimeEstimateArray(int i)

  Gets ith "stepTimeEstimate" element

### sizeOfStepTimeEstimateArray

    int sizeOfStepTimeEstimateArray()

  Returns number of "stepTimeEstimate" element

### setStepTimeEstimateArray

    void setStepTimeEstimateArray(StepTimeEstimateType[] stepTimeEstimateArray)

  Sets array of all "stepTimeEstimate" element

### setStepTimeEstimateArray

    void setStepTimeEstimateArray(int i,
                                  StepTimeEstimateType stepTimeEstimate)

  Sets ith "stepTimeEstimate" element

### insertNewStepTimeEstimate

    StepTimeEstimateType insertNewStepTimeEstimate(int i)

  Inserts and returns a new empty value (as xml) as the ith "stepTimeEstimate" element

### addNewStepTimeEstimate

    StepTimeEstimateType addNewStepTimeEstimate()

  Appends and returns a new empty value (as xml) as the last "stepTimeEstimate" element

### removeStepTimeEstimate

    void removeStepTimeEstimate(int i)

  Removes the ith "stepTimeEstimate" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD